function [ figHandle ax1Han  theNewAxisHandle ] = setupTwoAxisPlot(commonFontSize,primaryAxes, rightAxisYLimits )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here




figHandle = figure;
scrsz = get(0,'ScreenSize');
set(figHandle,'Position',[scrsz(1) -.04*scrsz(4) scrsz(3) 0.96*scrsz(4)]);   %make almost full screen
ax1Han = gca;
axis(primaryAxes);

set(ax1Han,'XGrid','off','YGrid','off');
set(ax1Han,'FontSize',commonFontSize);


theNewAxisHandle = putRightAxisOnGCA(rightAxisYLimits);
 
ylabel(ax1Han,'Emitted Luminance (cd/m^2)');
xlabel(ax1Han,'Input values [0-255]');
ylabel(theNewAxisHandle,'Luminance-Fit','FontSize',commonFontSize);

set(theNewAxisHandle,'YTick',-03:.01:+0.03)

end

